<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>MAN PAGE</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>

<body>



<ul id="index">
  <li><a href="#pod">名稱</a></li>
  <li><a href="#pod1">概要</a></li>
  <li><a href="#pod2">描述</a></li>
  <li><a href="#pod3">選項</a></li>
  <li><a href="#pod4">組態設定</a></li>
  <li><a href="#pod5">診斷</a></li>
  <li><a href="#pod6">範例</a></li>
  <li><a href="#pod7">環境變數</a></li>
  <li><a href="#pod8">主題</a></li>
  <li><a href="#pod9">其他資訊</a></li>
  <li><a href="#pod10">參見</a></li>
  <li><a href="#GUI">GUI 說明</a></li>
  <li><a href="#pod11">按鍵對應</a></li>
  <li><a href="#pod12">程式錯誤</a></li>
  <li><a href="#pod13">歷史</a></li>
  <li><a href="#pod14">作者</a></li>
  <li><a href="#pod15">著作權和許可證</a></li>
</ul>

<h1 id="pod">名稱</h1>

<p>Inkscape - SVG (Scalable Vector Graphics) 編輯程式。</p>

<h1 id="pod1">概要</h1>

<p><code>inkscape [選項] [檔名_1 檔名_2 ...]</code></p>

<p>選項:</p>

<pre><code>    -?, --help
    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
        --pdf-page=頁數
        --pdf-poppler
        --convert-dpi-method=方式
        --no-convert-text-baseline-spacing


    -o, --export-filename=檔名
        --export-overwrite
        --export-type=類型[,類型]*
        --export-extension=擴充模組識別碼


    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=寬度
    -h, --export-height=高度
        --export-margin=間距


    -i, --export-id=物件識別碼[;物件識別碼]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-ps-level=等級
        --export-pdf-version=版本
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=顏色
    -y, --export-background-opacity=數值


    -I, --query-id=物件識別碼[,物件識別碼]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height


        --vacuum-defs
        --select=OBJECT-ID物件識別碼[,物件識別碼]*
        --actions=動作(:參數)[;動作(:參數)]*
        --action-list
        --verb=動詞[;動詞]*
        --verb-list

    -g, --with-gui
        --batch-process
        --shell</code></pre>

<h1 id="pod2">描述</h1>

<p><b>Inkscape</b> 是一款自由與開放原始碼的向量繪圖軟體。提供強大豐富的功能且能廣泛應用在藝術與技術用途插畫，諸如卡通、素材、圖標、設計原型、圖表和流程圖。使用向量圖形能構允許銳邊圖像輸出和無解析度限制的圖形繪算，而不會向點陣圖像有固定像素數量的限制。Inkscape 使用標準的 <b>SVG</b> 檔案格式昨為主要格式，其他許多應用程式包括網頁瀏覽程式都支援此種格式。</p>

<p>使用者介面以簡單易用且能讓專業人士有效率創作的方向設計，保留 <b>GNOME</b> 桌面標準的舒適性以確保使用者能以其他 GNOME 應用程式使用體驗快速學習操作方式。</p>

<p><b>SVG</b> 是 W3C 針對 2D 向量繪圖制定的標準 XML 格式。 SVG 可於圖畫中使用點、路徑和基本形狀來定義物件。 顏色、字型、邊框寬度...等等可作為「樣式」屬性指定給這些物件。由於 SVG 的目標是成為標準格式，也因為 SVG 檔為純文字檔/xml，所以有相當多的程式可能使用 SVG 檔並有多種用途。</p>

<p><b>Inkscape</b> 使用 SVG 作為內定文件格式，並且以成為在開放原碼社群中完整相容 SVG 格式的繪圖程式為目標。</p>

<h1 id="pod3">選項</h1>

<dl>

<dt id="help"><b>-?</b>, <b>--help</b></dt>
<dd>

<p>顯示說明訊息。</p>

</dd>
<dt id="V---version"><b>-V</b>, <b>--version</b></dt>
<dd>

<p>顯示 Inkscape 版本和編譯日期。</p>

</dd>
<dt id="debug-info"><b>--debug-info</b></dt>
<dd>

<p>印出技術資訊包括 Inkscape 版本、相依套件版本和操作系統。此資訊在 Inkscape 除錯的時候非常有用且應該將資訊撰寫在程式錯誤 (bug) 回報中。</p>

</dd>
<dt id="system-data-directory"><b>--system-data-directory</b></dt>
<dd>

<p>印出系統資料目錄即與 Inkscape 連動的資料檔案儲存位置。這包括執行 Inkscape 必須的檔案 (像單位定義、內建按鍵對應、檔案描述 UI 排版、圖示主題等等)、核心擴充模組、常備資源 (濾鏡、字型、記號、調色盤、符號、範本) 和文件 (SVG 範例檔案、指導手冊)。</p>

<p>Inkscape 預期的系統資料目錄位置可用 <a>INKSCAPE_DATADIR</a> 環境變數覆蓋。</p>

</dd>
<dt id="user-data-directory"><b>--user-data-directory</b></dt>
<dd>

<p>印出使用者設定檔的目錄即使用者指定的資料檔案和偏好設定的儲存位置。自訂擴充模組和資源 (濾鏡、字型、記號、調色版、符號、範本) 應該安裝到該目錄底下的各自子目錄中。另外將檔案以系統資料目錄中檔案的完全相同名稱儲存可覆蓋原本系統資料庫的大部分預先設定 (例如預設範本、UI 檔案等等)。</p>

<p>設定檔目錄的預設位置可用 <a>INKSCAPE_PROFILE_DIR</a> 環境變數覆蓋。</p>

</dd>
<dt id="p---pipe"><b>-p</b>, <b>--pipe</b></dt>
<dd>

<p>從標準輸入 (stdin) 讀取輸入檔案。</p>

</dd>
<dt id="pdf-page"><b>--pdf-page</b>=<i>頁數</i></dt>
<dd>

<p>匯入 pdf 檔案給定的頁面。號碼從 1 開始。</p>

</dd>
<dt id="pdf-poppler"><b>--pdf-poppler</b></dt>
<dd>

<p>Inkscape 預設經由內部 (poppler-derived) 函數庫匯入 PDF 檔案。文字會以文字格式儲存。使用 <a>--pdf-poppler</a> 可改用外部 (使用 cairo 後端的 poppler) 函式庫匯入 PDF。文字組成包含複製的字 (glyphs) 而每個字 (glyphs) 都是路徑。影像儲存在檔案內部。網面會讓整份文件都以點陣圖形方式繪算。</p>

</dd>
<dt id="convert-dpi-method"><b>--convert-dpi-method</b>=<i>方式</i></dt>
<dd>

<p>選擇用於縮放舊版 (pre-0.92) 檔案的方式其繪算稍微較小，因為像素單位的內插長度從 90 DPI 切換為 96 DPI。數值可以設定為「none」(不變更、文件繪算原始大小的 94%)、「scale-viewbox」(文建會整體縮放，而個別長度維持不變) 和「scale-document」(每個長度會個別重新縮放)。</p>

</dd>
<dt id="no-convert-text-baseline-spacing"><b>--no-convert-text-baseline-spacing</b></dt>
<dd>

<p>開啟舊版 (pre-0.92) 檔案時不要自動修正文字基準線。Inkscape 0.92 的「line-height」性質採用 CSS 標準定義，這與之前的版本不同。預設文字列高度值以檔案內建立的數值優先而 Inkscape 0.92 調整為載入時保留文字排版的傾向。此指令選項則會跳過調整動作。</p>

</dd>
<dt id="o---export-filename"><b>-o</b>, <b>--export-filename</b>=<i>檔名</i></dt>
<dd>

<p>設定輸出檔案的名稱。預設會沿用輸入檔案的名稱。如果有使用 <a>--export-type</a> 選項，那麼檔案副檔名要依照情形調整 (或加入)。反之匯出的檔案會從指定檔名的副檔名自動選擇對應的檔案類型。</p>

<p>特殊檔名 &quot;-&quot; 的用法可讓 Inkscape 將影像資料寫入到標準輸出 (stdout)。</p>

</dd>
<dt id="export-overwrite"><b>--export-overwrite</b></dt>
<dd>

<p>覆寫輸入檔案。</p>

</dd>
<dt id="export-type"><b>--export-type</b>=<i>類型[,類型]*</i></dt>
<dd>

<p>指定要匯出的檔案格式。可能的格式：svg, png, ps, eps, pdf, emf, wmf 與每種現有匯出副檔名的檔案類型。也能夠一次匯出多種檔案類型。</p>

<p>注意 PostScript 格式不支援透明，所以原始 SVG 中的透明物件都會自動轉換成點陣圖。用到的字型會為子集合並嵌入。預設匯出範圍是頁面。你可以用 <a>--export-area-drawing</a> 將匯出範圍設定為繪圖。</p>

<p>備註 PDF 格式會保留原始 SVG 的透明度。</p>

</dd>
<dt id="export-extension"><b>--export-extension</b>=<i>擴充模組識別碼</i></dt>
<dd>

<p>允許匯出時使用的特定輸出擴充模組，尤其在給定檔案類型有多個匯出選項影響很大。如果設定，檔案副檔名會忽略 --export-filename 和 --export-filename。另外，如果設定，只能用 --export-type 給定一種檔案類型。</p>

</dd>
<dt id="C---export-area-page"><b>-C</b>, <b>--export-area-page</b></dt>
<dd>

<p>用 SVG、PNG、PDF、PS 和 EPS 格式匯出範圍為頁面。這是匯出 SVG、PNG、PDF 和 PS 的預設值，所以你不必指定此選項除非你使用 <a>--export-id</a> 來匯出指定的物件。目前 EPS 尚未支援此選項。</p>

</dd>
<dt id="D---export-area-drawing"><b>-D</b>, <b>--export-area-drawing</b></dt>
<dd>

<p>匯出 SVG、PNG、PDF、PS 和 EPS 時，匯出範圍為繪畫部份 (不是畫布)，即文件全部物件的外框邊界 (如果使用 --export -id 則是匯出物件的外框邊界)。 使用這個選項，匯出的圖片會顯示文件中所有的可見物件，而不會有頁邊空白或裁剪。 這是 EPS 預設的匯出範圍。對於 PNG，這個可以和 <a>--export-use-hints</a> 結合使用。</p>

</dd>
<dt id="a-x0:y0:x1:y1---export-area-x0:y0:x1:y1"><b>-a</b> <i>x0:y0:x1:y1</i>, <b>--export-area</b>=<i>x0:y0:x1:y1</i></dt>
<dd>

<p>In PNG export, set the exported area of the document, specified in px (1/96 in). The default is to export the entire document page. The point (0,0) is the lower-left corner.</p>

</dd>
<dt id="export-area-snap"><b>--export-area-snap</b></dt>
<dd>

<p>For PNG export, snap the export area outwards to the nearest integer px values. If you are using the default export resolution of 96 dpi and your graphics are pixel-snapped to minimize antialiasing, this switch allows you to preserve this alignment even if you are exporting some object&#39;s bounding box (with <a>--export-id</a> or <a>--export-area-drawing</a>) which is itself not pixel-aligned.</p>

</dd>
<dt id="d-DPI---export-dpi-DPI"><b>-d</b> <i>DPI</i>, <b>--export-dpi</b>=<i>DPI</i></dt>
<dd>

<p>匯出 PNG 所使用的解析度。 當匯出為 PS、EPS 或 PDF (除非你指定 <a>--export-ignore-filters</a> 禁止點陣化) 時，也用於退回套用濾鏡 物件的點陣化過程。預設值為 96 dpi，其對應成 1 SVG 使用者單位 (px, 亦稱「使用者單位」) 匯出為 1 點 陣圖像素。 如果和 <a>--export-use-hints</a> 一起使用，這個數值會覆蓋 DPI 內定值。</p>

</dd>
<dt id="w---export-width"><b>-w</b> <i>寬度</i>, <b>--export-width</b>=<i>寬度</i></dt>
<dd>

<p>匯出點陣圖的寬度，單位為像素。 這個數值會覆蓋 <a>--export-dpi</a> 設定值 (如果和 --export-use-hints 同時使用則會覆蓋 DPI 內定值)。</p>

</dd>
<dt id="h---export-height"><b>-h</b> <i>高度</i>, <b>--export-height</b>=<i>高度</i></dt>
<dd>

<p>匯出點陣圖的高度，單位為像素。 這個數值會覆蓋 <a>--export-dpi</a> 設定值 (如果和 --export-use-hints 同時使用，會覆蓋 DPI 內定值)。</p>

</dd>
<dt id="export-margin"><b>--export-margin</b>=<i>間距</i></dt>
<dd>

<p>匯出區域的周圍加入間距。用頁面尺寸 (SVG) 或公釐 (PS/PDF) 的單位指定間距大小。此選項目前對於其他匯出格式沒有作用。</p>

</dd>
<dt id="i-ID---export-id"><b>-i</b> <i>ID</i>, <b>--export-id</b>=<i>物件識別碼[;物件識別碼]*</i></dt>
<dd>

<p>匯出 PNG、PS、EPS、PDF 和普通 SVG 時, 你想要從文件中匯出的物件的 ID 屬性值；其他剩下的物件都不會被匯出。預設情形下匯出的範圍是物件的外框邊界；你可用 --export-area (只適用於 PNG) 或 <a>--export-area-page</a> 覆蓋這項數值。</p>

<p>如果你用物件的分號分隔清單指定多個數值，每個會個別匯出。這裡匯出的檔案會用這種方式命名: [input_filename]_[ID].[export_type]</p>

</dd>
<dt id="j---export-id-only"><b>-j</b>, <b>--export-id-only</b></dt>
<dd>

<p>只會把 <a>--export-id</a> 給定 ID 的物件匯出成 PNG 或普通 SVG。其餘全部會被隱藏且不會顯示在匯出圖片中，即使這些物件和 匯出的物件重疊。 沒有 <a>--export-id</a> 會忽略這個選項。對匯出 PDF 來說，這是預設值，所以這選項不會有任何效果。</p>

</dd>
<dt id="l---export-plain-svg"><b>-l</b>, <b>--export-plain-svg</b></dt>
<dd>

<p>用普通 SVG 格式匯出文件，普通 SVG 格式沒有 sodipodi: 或 inkscape: 名稱集和 RDF 後設資料。使用 <a>--export-filename</a> 選項指定檔案名稱。</p>

</dd>
<dt id="export-ps-level"><b>--export-ps-level</b>=<i>等級</i></dt>
<dd>

<p>設定 PS 和 EPS 匯出的語言版本。目前支援 PostScript 等級 2 或 3。預設版本為 3。</p>

</dd>
<dt id="export-pdf-version"><b>--export-pdf-version</b>=<i>版本</i></dt>
<dd>

<p>選擇要匯出的 PDF 版本。此選項基本上會將 PDF 版本選擇器顯示在圖形介面的 PDF-export 對話窗上。你必須從下拉式選單中選擇一種版本，例如「1.4」。預設的 pdf 匯出版本是「1.4」。</p>

</dd>
<dt id="T---export-text-to-path"><b>-T</b>, <b>--export-text-to-path</b></dt>
<dd>

<p>在適用情形下 (匯出 PS、EPS 和 PDF)，匯出時將文字物件轉換成路徑。</p>

</dd>
<dt id="export-latex"><b>--export-latex</b></dt>
<dd>

<p>用以建立 LaTeX 文件的圖片 (適用 PS、EPS 和 PDF 匯出) ，圖片的文字則由 LaTeX 排版。當匯出成 PDF/PS/EPS 格式時，此選項會將輸出分離成一個 PDF/PS/EPS 檔 (例如用 --export-type 指定) 和 LaTeX 檔。文字不會輸出到 PDF/PS/EPS 檔案，但是會出現在 LaTeX 檔案。這個 LaTeX 檔案會包含 PDF/PS/EPS。輸入 (\input{image.tex}) LaTeX 檔案到你的 LaTeX 文件會顯示圖片和全部由 LaTeX 排版的文字。查閱產生的 LaTeX 檔案可得知更多資訊。也請查看 GNUPlot 的「epslatex」輸出終端機。</p>

</dd>
<dt id="export-ignore-filters"><b>--export-ignore-filters</b></dt>
<dd>

<p>將套用濾鏡的物件 (例如這些物件套用模糊) 匯出成向量屬性，忽略濾鏡 (匯出 PS、EPS 和PDF 時)。 在預設情況下，全部套用濾鏡的物件會以 <a>--export-dpi</a> (預設為 96 dpi) 的解析度轉成點陣圖以維持外觀。</p>

</dd>
<dt id="t---export-use-hints"><b>-t</b>, <b>--export-use-hints</b></dt>
<dd>

<p>匯出 PNG 時，使用儲存在匯出物件中的 DPI 內定值和匯出檔名 (只能和 <a>--export-id</a> 一起使用)。 當你從 Inkscape 內部匯出選取範圍時會自動設定為這些內定值。 例如，你用 Inkscape 圖形介面從 document.svg 裡將 id=&quot;path231&quot; 的形狀以 300 dpi 匯出成 /home/me/shape.png ，並儲存文件，之後你便可簡單地用下面的指令以相同的解析度重新匯出相同的檔案</p>

<pre><code>    inkscape -i path231 -t 文件.svg</code></pre>

<p>如果你將這個選項和 <a>--export-dpi</a>、<a>--export-width</a> 或 <a>--export-height</a> 一起使用，那麼 DPI 內定值會被忽略並使用命令列上的數值。 如果你將這個選項和 <a>--export-filename</a> 一起使用，那麼檔名內定值會被忽略並使用命令列上的檔名。</p>

</dd>
<dt id="b---export-background"><b>-b</b> <i>顏色</i>, <b>--export-background</b>=<i>顏色</i></dt>
<dd>

<p>匯出 PNG 的背景顏色。 這可以是任何 SVG 支援的顏色字串，例如 &quot;#ff007f&quot; 或 &quot;rgb(255, 0, 128)&quot;。 如果沒有設定顏色，那麼就會使用在 Inkscape 文件選項對話窗所設定的頁面顏色 (儲存在 pagecolor= sodipodi:namedview 的屬性)。</p>

</dd>
<dt id="y---export-background-opacity"><b>-y</b> <i>數值</i>, <b>--export-background-opacity</b>=<i>數值</i></dt>
<dd>

<p>匯出 PNG 背景的不透明度。 這個數值可以是 0.0 到 1.0 之間的數值 (0.0 表示完全透明，1.0 則完全不透明) 或是大於 1 到 255 以內的數值 (255 代表完全不透明)。 若沒有設定數值且沒有使用 -b 選項，那麼就會使用在 Inkscape 文件選項對話窗所設定的頁面不透明度 (儲存 在 inkscape:pageopacity= sodipodi:namedview 的屬性)。 如果沒有設定數值但有使用 -b 選項，那麼會使用 255 (完全不透明)。</p>

</dd>
<dt id="I---query-id"><b>-I</b>, <b>--query-id</b>=<i>物件識別碼[,物件識別碼]*</i></dt>
<dd>

<p>設定在逗號分隔清單中查詢尺寸的物件識別碼 (ID)。若沒設定，查詢選項會回傳繪圖尺寸 (即全部文件物件)，而非頁面或檢視框。</p>

<p>如果你用逗號分隔清單指定多個數值，使用 <i>--query-id</i> 任何幾何查詢 (例如 (e.g. <a>--query-x</a>)) 會回傳對應物件清單的用逗號分隔的數值清單。</p>

</dd>
<dt id="S---query-all"><b>-S</b>, <b>--query-all</b></dt>
<dd>

<p>列印一份 SVG 文件中已定義 ID 的所有物件以逗點分隔的清單，與 x、y、寬度和高度數值同樣。</p>

</dd>
<dt id="X---query-x"><b>-X</b>, <b>--query-x</b></dt>
<dd>

<p>查詢繪圖部份的 X 坐標或用 <a>--query-id</a> 所指定物件的 X 坐標。回傳值的單位是 px (SVG 使用者單位)。</p>

</dd>
<dt id="Y---query-y"><b>-Y</b>, <b>--query-y</b></dt>
<dd>

<p>查詢繪圖部份的 Y 坐標或用 <a>--query-id</a> 所指定物件的 Y 坐標。回傳值的單位是 px (SVG 使用者單位)。</p>

</dd>
<dt id="W---query-width"><b>-W</b>, <b>--query-width</b></dt>
<dd>

<p>查詢繪圖部份的寬度或用 <a>--query-id</a> 所指定物件的寬度。回傳值的單位是 px (SVG 使用者單位)。</p>

</dd>
<dt id="H---query-height"><b>-H</b>, <b>--query-height</b></dt>
<dd>

<p>查詢繪圖部份的高度或用 <a>--query-id</a> 所指定物件的高度。回傳值的單位是 px (SVG 使用者單位)。</p>

</dd>
<dt id="vacuum-defs"><b>--vacuum-defs</b></dt>
<dd>

<p>從 SVG 檔案的 <code>&lt;defs&gt;</code> 段落中移除所有未使用的項目。如果這個選項與 --export-plain-svg 一起調用， 只有匯出的檔案會有作用。如果單獨使用會適當地修飾所指定的檔案。</p>

</dd>
<dt id="select"><b>--select</b>=<i>物件識別碼[,物件識別碼]*</i></dt>
<dd>

<p>而 <a>--select</a> 指令會選取指定 ID 的物件。你可用逗號分隔的清單選擇多個物件。此選項允許對選取物件執行各種動詞。使用 <code>--verb=EditDeselect</code> 可移除所有選取的項目。可用的物件 ID 取決於文件指定載入哪些物件。</p>

</dd>
<dt id="actions"><b>--actions</b>=<i>動作(:參數)[;動作(:參數)]*</i></dt>
<dd>

<p>動作是呼叫帶有單一參數函數的新方式。使用 <a>--action-list</a> 指令列選項取得可用的動作識別碼 (ID) 清單。之後動作會完全取代動詞 (verb)。目前任何動詞都可作為動作 (無參數) 使用。需要注意一點，大部分動詞需要 GUI (即使動詞並不需要使用)。使用 <a>--batch-process</a> 會處理結束後會自動關閉 GUI。另外全部的匯出選項都有相符合的動作 (移除選項前面的 &#39;--&#39; 並用 &#39;:&#39; 取代 &#39;=&#39;)。</p>

<p>只在動作有用到 <a>--batch-process</a> 時必須使用。</p>

<p>用 export-do 動作可在任何點執行匯出。這允許單個檔案執行多次匯出。</p>

</dd>
<dt id="action-list"><b>--action-list</b></dt>
<dd>

<p>印出可用動作的清單。</p>

</dd>
<dt id="verb"><b>--verb</b>=<i>動詞[;動詞]*</i></dt>
<dd>

<p>其 <a>--verb</a> 指令可執行指定的動詞或動詞清單，如同從選單或按鈕上呼叫一樣。如果執行的是部份動詞便會跳出對話窗。 使用 <a>--verb-list</a> 命令列選項可取得可用動詞 ID 的清單。</p>

<p>注意此 <a>--verb</a> 指令需要 GUI。</p>

<p>與 <a>--select</a> 一起使用可從命令列上提供某些 Inkscape 基本腳本。於命令列上都可以接收所需的參數且針對每份文件依序執行。</p>

</dd>
<dt id="verb-list"><b>--verb-list</b></dt>
<dd>

<p>依照識別碼 (ID) 列出在 Inkscape 中全部可用的動詞。在定義按鍵對應或選單中也會使用此識別碼 (ID)。也可以和 <a>--verb</a> 命令 列選項一起使用。</p>

</dd>
<dt id="g---with-gui"><b>-g</b>, <b>--with-gui</b></dt>
<dd>

<p>試著使用圖形介面 (在 Unix 系統，即使沒有設定 $DISPLAY 也會使用 X server)。</p>

</dd>
<dt id="batch-process"><b>--batch-process</b></dt>
<dd>

<p>執行全部動作或動詞後關閉 GUI。</p>

</dd>
<dt id="shell"><b>--shell</b></dt>
<dd>

<p>使用此參數，Inkscape 會進入互動式命令列殼層 (shell) 模式。於此模式中，你在提示符位置上輸入指令讓 Inkscape 執行，而不需針對每一道指令執行新的 Inkscape。此功能對於腳本和伺服器方面的用途極為有用：這沒有加入任何新功能，但可讓任何多次呼叫 Inkscape 執行命令列任務 (比如匯出或轉換) 腳本的速度更快、消耗更少的記憶體。</p>

<p>在殼層 (shell) 模式 Inkscape 會預期輸入一連串動作 (或動詞)。這些操作會逐行執行，表示模擬按 Enter 鍵的典型行為。可以將全部動作彙整到同一行 (但不一定是必須這樣)。</p>

<p>下面範例會開啟檔案並匯出為兩種不同格式，然後開啟其他檔案並匯出單一物件:</p>

<pre><code>    file-open:file1.svg; export-type:pdf; export-do; export-type:png; export-do
    file-open:file2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do</code></pre>

</dd>
</dl>

<h1 id="pod4">組態設定</h1>

<p>主要的組態設定檔放在 ~/.config/Inkscape/preferences.xml； 組態設定檔儲存各種設定值，可在 Inkscape 中變更 (大部份在 Inkscape 偏好設定對話窗)。也可以在那裡的子目錄中放置你自己的組態設定檔：</p>

<p><b>$HOME</b>/.config/Inkscape/extensions/ - 擴充模組。</p>

<p><b>$HOME</b>/.config/Inkscape/icons/ - 圖示。</p>

<p><b>$HOME</b>/.config/Inkscape/keys/ - 鍵盤對應。</p>

<p><b>$HOME</b>/.config/Inkscape/templates/ - 新增檔案的範本。</p>

<h1 id="pod5">診斷</h1>

<p>程式執行成功時會回傳零或者執行失敗時回傳不為零的值。</p>

<p>各種錯誤訊息和警告可列印到 STDERR 或 STDOUT。如果程式怪異地產生一個特殊的 SVG 檔案或不正常關閉，它是 查看這次輸出的有用線索。</p>

<h1 id="pod6">範例</h1>

<p>雖然 <b>Inkscape</b> 很明顯地主要是作為一款圖形介面的應用程式，但同樣能在命令列上處理 SVG。</p>

<p>用圖形介面開啟一個 SVG 檔案：</p>

<pre><code>    inkscape 檔名.svg</code></pre>

<p>將一個 SVG 檔以預設的解析度 96 dpi 匯出成 PNG (1 SVG 使用者單位轉變成 1 點陣圖像素)：</p>

<pre><code>    inkscape --export-filename=filename.png filename.svg</code></pre>

<p>相同，但強制 PNG 檔案為 600x400 像素：</p>

<pre><code>    inkscape --export-filename=filename.png -w 600 -h 400 filename.svg</code></pre>

<p>相同，但匯出繪圖部份 (全部物件的外框邊界)，不是頁面：</p>

<pre><code>    inkscape --export-filename=filename.png --export-area-drawing filename.svg</code></pre>

<p>將兩個不同檔案分別匯出四種不同的檔案格式:</p>

<pre><code>    inkscape --export-type=png,ps,eps,pdf filename1.svg filename2.svg</code></pre>

<p>將 id=&quot;text1555&quot; 物件匯出成 PNG，當從圖形介面匯出時，使用輸出檔名和上次使用的解析度：</p>

<pre><code>    inkscape --export-id=text1555 --export-use-hints filename.svg</code></pre>

<p>相同，但使用預設 96 dpi 解析度，指定檔名，並且向外捉取匯出範圍為最接近整個 SVG 使用者單位的值 (維持物件的像素校正，因此最小平滑化)：</p>

<pre><code>    inkscape --export-id=text1555 --export-filename=text.png --export-area-snap filename.svg</code></pre>

<p>將一個 Inkscape SVG 文件轉換成普通的 SVG：</p>

<pre><code>    inkscape --export-plain-svg --export-filename=filename2.svg filename1.svg</code></pre>

<p>將 SVG 文件轉成 EPS，全部的文字轉換成路徑：</p>

<pre><code>    inkscape --export-filename=filename.eps --export-text-to-path filename.svg</code></pre>

<p>查詢 id=&quot;text1555&quot; 物件的寬度：</p>

<pre><code>    inkscape --query-width --query-id=text1555 filename.svg</code></pre>

<p>再製 id=&quot;path1555&quot; 和 id=&quot;rect835&quot; 的物件，將再製物件旋轉 90 度後，儲存 SVG 並離開:</p>

<pre><code>    inkscape --select=path1555,rect835 --verb=&quot;EditDuplicate;ObjectRotate90;FileSave;FileQuit&quot; filename.svg</code></pre>

<p>選取全部有橢圓標籤的物件，將物件旋轉 30 度後，儲存檔案並離開程式。</p>

<pre><code>    inkscape --actions=&quot;select-by-element:ellipse;transform-rotate:30;FileSave;FileClose&quot; --batch-process filename.svg</code></pre>

<p>將 ID 為 MyTriangle 的物件以半透明紫色背景匯出為 triangle_purple.png 檔案並以紅色背景匯出到 triangle_red.png 檔案。</p>

<pre><code>    inkscape --actions=&quot;export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangle_purple.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangle_red.png&quot; filename.svg</code></pre>

<p>從標準輸入 (stdin) 讀取 SVG 並匯出成 PDF 格式:</p>

<pre><code>    cat filename.svg | inkscape --pipe --export-filename=filename.pdf</code></pre>

<p>將 SVG 匯出成 PNG 格式並寫入到標準輸出 (stdout)，然後用 ImageMagick 轉換程式轉成 JPG 格式:</p>

<pre><code>    inkscape --export-type=png --export-filename=- filename.svg | convert - filename.jpg</code></pre>

<p>與上面的相同，但差別在於從管線讀取 (這裡可以省略 --export-filename)</p>

<pre><code>    cat filename.svg | inkscape --pipe --export-type=png | convert - filename.jpg</code></pre>

<h1 id="pod7">環境變數</h1>

<dl>

<dt id="INKSCAPE_PROFILE_DIR"><b>INKSCAPE_PROFILE_DIR</b></dt>
<dd>

<p>設定使用者設定檔目錄的自訂位置。</p>

</dd>
<dt id="INKSCAPE_DATADIR"><b>INKSCAPE_DATADIR</b></dt>
<dd>

<p>設定 Inkscape 資料目錄的自訂位置 (例如 <b>$PREFIX</b>/share 是否 Inkscape 的共用檔案在 <b>$PREFIX</b>/share/inkscape)。</p>

</dd>
<dt id="INKSCAPE_LOCALEDIR"><b>INKSCAPE_LOCALEDIR</b></dt>
<dd>

<p>設定翻譯分類的自訂位置。</p>

</dd>
</dl>

<p>訪問此網址取得更多資訊 <a href="http://wiki.inkscape.org/wiki/index.php/Environment_variables">http://wiki.inkscape.org/wiki/index.php/Environment_variables</a></p>

<h1 id="pod8">主題</h1>

<p>可從目錄 <b>$HOME</b>/.inkscape/icons/ 載入不同的圖示組來替代預設的<b>$PREFIX</b>/share/inkscape/icons/icons.svg 檔案。 圖示按照名稱載入 (例如 <i>fill_none.svg</i>)，如果沒有找到符合名稱的圖示，那麼就會從 <i>icons.svg</i> 載入。 如果圖示不從這些位置載入，就會退回使用預設的系統位置。</p>

<p>藉由 SVG ID 和比對圖示名稱從 SVG 檔中搜尋並載入需要的圖示。(例如，要從一個檔案載入 &quot;fill_none&quot; 圖示， 外框邊界會尋找 SVG ID &quot;fill_none&quot; 將其作為圖示，不管是來自 <i>fill_none.svg</i> 或 <i>icons.svg</i>。)</p>

<h1 id="pod9">其他資訊</h1>

<p>搜尋 <b>Inkscape</b> 資訊的最佳地點是在 <a href="https://www.inkscape.org/">https://www.inkscape.org/</a>。 網站上有新聞、說明文件、教學、範例、郵件論壇存檔、最新發佈的程式版本、程式錯誤和功能需求資料庫、論壇...等等。</p>

<h1 id="pod10">參見</h1>

<p><a>potrace</a>, <a>cairo</a>, <a>rsvg</a>, <a>batik</a>, <a>ghostscript</a>, <a>pstoedit</a>.</p>

<p>SVG 相容測試工具: <a href="https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview">https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview</a></p>

<p>SVG 驗證工具: <a href="https://validator.w3.org/">https://validator.w3.org/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.1 規範</i> <i>W3C 建議 (Recommendation) 2011 年 8 月 16 日</i> <a href="https://www.w3.org/TR/SVG11/">https://www.w3.org/TR/SVG11/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.2 規範</i> <i>W3C 工作起草 (Working Draft) 2005 年 4 月 13 日</i> <a href="https://www.w3.org/TR/SVG12/">https://www.w3.org/TR/SVG12/</a></p>

<p><i>Scalable Vector Graphics (SVG) 2 規範</i> <i>W3C 候補建議 (Candidate Recommendation) 2016 年 9 月 15 日</i> <a href="https://www.w3.org/TR/SVG2/">https://www.w3.org/TR/SVG2/</a></p>

<p><i>Document Object Model (DOM): 等級 2 核心</i> <i>W3C 建議 (Recommendation) 2000 年 11 月 13 日</i> <a href="https://www.w3.org/TR/DOM-Level-2-Core/">https://www.w3.org/TR/DOM-Level-2-Core/</a></p>

<h1 id="GUI">GUI 說明</h1>

<p>請閱讀在 說明 &gt; 指導手冊 和 說明 &gt; Inkscape 使用手冊 的資料來學習 Inkscape 圖形介面的操作。</p>

<p>除了 SVG 外，Inkscape 可以匯入 (檔案 &gt; 匯入) 多數的點陣圖格式 (PNG、BMP、JPG、XPM、GIF 等)、 普通純文字檔 (需要 Perl)、PS 和 EPS (需要 Ghostscript)、PDF 和 AI 格式 (AI 版本 9.0 或更新)。</p>

<p>Inkscape 可匯出 32-位元 PNG 圖片 (檔案 &gt; 匯出 PNG 圖片)，也可從 檔案 &gt; 另存 儲存成 AI、PS、EPS、PDF、 DXF 及一些其他格式。</p>

<p>Inkscape 能用繪圖板畫筆的壓力及傾斜感應來變化寬度、角度和一些工具的作用力，包括美工筆。</p>

<p>Inkscape 包含一個嵌入的 Potrace 點陣圖描繪引擎 (<a href="http://potrace.sf.net">http://potrace.sf.net</a>) 圖形介面前端。</p>

<p>Inkscape 能使用外部腳本 (stdin-to-stdout 過濾器)，腳本會以擴充功能選單上的命令方式呈現。腳本可以 有設定各種參數的圖形介面對話窗，而且能透過命令列取得所選物件的 ID。Inkscape 提供各式各樣用 Python 寫成的特效模組。</p>

<h1 id="pod11">按鍵對應</h1>

<p>查看 doc/keys.html 以取得鍵盤和滑鼠快捷鍵的完整清單，或在說明選單中使用按鍵和滑鼠指令。</p>

<h1 id="pod12">程式錯誤</h1>

<p>已經知道許多程式錯誤；請到網站 (<a href="https://www.inkscape.org/">https://www.inkscape.org/</a>) 檢閱已回報的錯誤並回報新發現的問題。也請看看你使用版 本的發佈說明中已知問題段落內容 (檔案「NEWS」)。</p>

<h1 id="pod13">歷史</h1>

<p>後來變成 Inkscape 的程式碼庫始於 1999 年的程式 Gill (由 Raph Levien 建立的 GNOME 繪圖程式)。 Gill 的最終目標是支援全部的 SVG。Raph 實現了 PostScript 貝茲曲線成像模型，包括邊框和填充、線段 端點樣式、線段接合樣式、文字...等等。Raph 的 Gill 網頁位於 <a href="http://www.levien.com/svg/">http://www.levien.com/svg/</a>。Gill 的開發工作在 2000 年時似乎已經變慢或停止。</p>

<p>接下來這個程式碼庫化身為極受歡迎的程式 Sodipodi，由 Lauris Kaplinski 主導。經過數年的發展，這個 程式碼庫已轉變為一個強大的繪圖程式，加入了一些新特性，支援多語言，移植到 Windows 和其他操作系統，並 淘汰某些相依套件。</p>

<p>於 2003 年時由四名活躍的 Sodipodi 開發人員 － Bryce Harrington、MenTaLguY、Nathan Hurst 和 Ted Gould 成立 Inkscape 計劃，想要以專注於 SVG 相容、介面外觀風格和開放開發機會吸引更多參與 者的觀點為程式碼庫帶來新的方向。此計劃進展迅速，獲得許多非常活躍的貢獻和功能。</p>

<p>計劃早期的許多工作專注於程式碼的穩定和國際化。從 Sodipodi 繼承的原始圖形輸出引擎摻入許多數學角，因而 導致當程式超出正常使用範圍時會意外地不正常關閉；用 Livarot 取代原本的圖形輸出引擎，雖然不夠完美，但 程式錯誤明顯地減少。此計劃也有經常收養提交的程式碼的做法，並鼓勵使用者去試用程式的開發版本快照；這有助 於迅速發現新的程式錯誤，並且保證使用者能輕易地校驗修復狀況。因此，Inkscape 發佈的版本已經普遍贏得了穩健可靠的聲譽。</p>

<p>同樣的，努力走向國際化及介面本地化，這有助於此程式獲得世界各地的幫助與貢獻。</p>

<p>大致上來說，Inkscape 已經在開放原碼的視覺魅力上產生正面的影響，作為用來製作和分享圖示、啟動畫面、網站 設計等的工具。從某一點來看，「這只是一個繪圖程式」，但 Inkscape 已經扮演一個重要的角色，使開放原始碼 帶給廣大愛好者更多的視覺饗宴。</p>

<h1 id="pod14">作者</h1>

<p>這個程式碼庫的存在要歸功於各個時期的許多貢獻者。下列的名單當然不完整，但用來正式向齊心致力於這個程式的 許多人致謝：</p>

<p>Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, Adam Belis, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, </p>

<h1 id="pod15">著作權和許可證</h1>

<p><b>著作權 (C)</b> 1999-2020 作者所有。</p>

<p><b>Inkscape</b> 是自由軟體；你可以在遵守 GPL 版本 3 或更新版本的許可證情形下重新發佈或修改它。</p>


</body>

</html>


